diff --git a/finch/plugins/meson.build b/finch/plugins/meson.build
--- a/finch/plugins/meson.build
+++ b/finch/plugins/meson.build
@@ -1,34 +1,33 @@
-if PLUGINS
-	if x11.found()
-		gntclipboard = library('gntclipboard', 'gntclipboard.c',
-		    dependencies : [x11, libpurple_dep, libfinch_dep, glib],
-		    name_prefix : '',
-		    install : true, install_dir : FINCH_PLUGINDIR)
-
-		gntgf = library('gntgf', 'gntgf.c',
-		    c_args : ncurses_header,
-		    dependencies : [x11, libpurple_dep, libfinch_dep, ncurses, glib],
-		    name_prefix : '',
-		    install : true, install_dir : FINCH_PLUGINDIR)
-	endif
-
-	gnthistory = library('gnthistory', 'gnthistory.c',
-	    dependencies : [libpurple_dep, libfinch_dep, glib],
+if x11.found()
+	gntclipboard = library('gntclipboard', 'gntclipboard.c',
+	    dependencies : [x11, libpurple_dep, libfinch_dep, glib],
 	    name_prefix : '',
 	    install : true, install_dir : FINCH_PLUGINDIR)
 
-	gntlastlog = library('gntlastlog', 'lastlog.c',
-	    dependencies : [libpurple_dep, libfinch_dep, ncurses, glib],
+	gntgf = library('gntgf', 'gntgf.c',
+	    c_args : ncurses_header,
+	    dependencies : [x11, libpurple_dep, libfinch_dep, ncurses, glib],
 	    name_prefix : '',
 	    install : true, install_dir : FINCH_PLUGINDIR)
+endif
 
-	gnttinyurl = library('gnttinyurl', 'gnttinyurl.c',
-	    dependencies : [libpurple_dep, libfinch_dep, libsoup, glib],
-	    name_prefix : '',
-	    install : true, install_dir : FINCH_PLUGINDIR)
+gnthistory = library('gnthistory', 'gnthistory.c',
+    dependencies : [libpurple_dep, libfinch_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : FINCH_PLUGINDIR)
 
-	grouping = library('grouping', 'grouping.c',
-	    dependencies : [libpurple_dep, libfinch_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : FINCH_PLUGINDIR)
-endif  # PLUGINS
+gntlastlog = library('gntlastlog', 'lastlog.c',
+    dependencies : [libpurple_dep, libfinch_dep, ncurses, glib],
+    name_prefix : '',
+    install : true, install_dir : FINCH_PLUGINDIR)
+
+gnttinyurl = library('gnttinyurl', 'gnttinyurl.c',
+    dependencies : [libpurple_dep, libfinch_dep, libsoup, glib],
+    name_prefix : '',
+    install : true, install_dir : FINCH_PLUGINDIR)
+
+grouping = library('grouping', 'grouping.c',
+    dependencies : [libpurple_dep, libfinch_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : FINCH_PLUGINDIR)
+
diff --git a/libpurple/plugins/keyrings/kwallet/meson.build b/libpurple/plugins/keyrings/kwallet/meson.build
--- a/libpurple/plugins/keyrings/kwallet/meson.build
+++ b/libpurple/plugins/keyrings/kwallet/meson.build
@@ -1,19 +1,18 @@
-if PLUGINS
-	if kwallet.found()
-		kwallet_moc = qt5.preprocess(
-			moc_headers: 'purplekwallet.h',
-			dependencies: qt5_dep,
-		)
+if kwallet.found()
+	kwallet_moc = qt5.preprocess(
+		moc_headers: 'purplekwallet.h',
+		dependencies: qt5_dep,
+	)
 
-		kwallet_sources = [
-			'purplekwallet.cpp',
-			'purplekwallet.h',
-			kwallet_moc,
-		]
+	kwallet_sources = [
+		'purplekwallet.cpp',
+		'purplekwallet.h',
+		kwallet_moc,
+	]
 
-		kwallet_plugin = library('purplekwallet', kwallet_sources,
-		    dependencies : [kwallet, qt5_dep, libpurple_dep],
-		    name_prefix : '',
-		    install : true, install_dir : PURPLE_PLUGINDIR)
-	endif
+	kwallet_plugin = library('purplekwallet', kwallet_sources,
+	    dependencies : [kwallet, qt5_dep, libpurple_dep],
+	    name_prefix : '',
+	    install : true, install_dir : PURPLE_PLUGINDIR)
 endif
+
diff --git a/libpurple/plugins/keyrings/meson.build b/libpurple/plugins/keyrings/meson.build
--- a/libpurple/plugins/keyrings/meson.build
+++ b/libpurple/plugins/keyrings/meson.build
@@ -1,25 +1,24 @@
-if PLUGINS
-	subdir('kwallet')
+subdir('kwallet')
 
-	if nettle.found()
-		internalkeyring_plugin = library('internalkeyring', 'internalkeyring.c',
-		    dependencies : [nettle, libpurple_dep],
-		    name_prefix : '',
-		    build_by_default : false,
-		    install : false, install_dir : PURPLE_PLUGINDIR)
-	endif
+if nettle.found()
+	internalkeyring_plugin = library('internalkeyring', 'internalkeyring.c',
+	    dependencies : [nettle, libpurple_dep],
+	    name_prefix : '',
+	    build_by_default : false,
+	    install : false, install_dir : PURPLE_PLUGINDIR)
+endif
 
-	if secretservice.found()
-		secretsservice_plugin = library('secretservice', 'secretservice.c',
-		    dependencies : [secretservice, libpurple_dep],
-		    name_prefix : '',
-		    install : true, install_dir : PURPLE_PLUGINDIR)
-	endif
+if secretservice.found()
+	secretsservice_plugin = library('secretservice', 'secretservice.c',
+	    dependencies : [secretservice, libpurple_dep],
+	    name_prefix : '',
+	    install : true, install_dir : PURPLE_PLUGINDIR)
+endif
 
-	if IS_WIN32
-		wincred_plugin = library('wincred', 'wincred.c',
-		    dependencies : [libpurple_dep],
-		    name_prefix : '',
-		    install : true, install_dir : PURPLE_PLUGINDIR)
-	endif
-endif  # PLUGINS
+if IS_WIN32
+	wincred_plugin = library('wincred', 'wincred.c',
+	    dependencies : [libpurple_dep],
+	    name_prefix : '',
+	    install : true, install_dir : PURPLE_PLUGINDIR)
+endif
+
diff --git a/libpurple/plugins/meson.build b/libpurple/plugins/meson.build
--- a/libpurple/plugins/meson.build
+++ b/libpurple/plugins/meson.build
@@ -1,45 +1,42 @@
 subdir('keyrings')
 subdir('notification-sound')
 
-if PLUGINS
-	autoaccept = library('autoaccept', 'autoaccept.c',
-	    dependencies : [libpurple_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+autoaccept = library('autoaccept', 'autoaccept.c',
+    dependencies : [libpurple_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
+
+buddynote = library('buddynote', 'buddynote.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	buddynote = library('buddynote', 'buddynote.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+idle = library('idle', 'idle.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	idle = library('idle', 'idle.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
-
-	joinpart = library('joinpart', 'joinpart.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+joinpart = library('joinpart', 'joinpart.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	log_reader = library('log_reader', 'log_reader.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+log_reader = library('log_reader', 'log_reader.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	psychic = library('psychic', 'psychic.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+psychic = library('psychic', 'psychic.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	statenotify = library('statenotify', 'statenotify.c',
-	    dependencies : [libpurple_dep],
-	    name_prefix : '',
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+statenotify = library('statenotify', 'statenotify.c',
+    dependencies : [libpurple_dep],
+    name_prefix : '',
+    install : true, install_dir : PURPLE_PLUGINDIR)
 
-	purple_toast = library('purple-toast', 'purple-toast.c',
-		dependencies : [libpurple_dep],
-		name_prefix: '',
-		install : true, install_dir : PURPLE_PLUGINDIR)
-
-endif  # PLUGINS
+purple_toast = library('purple-toast', 'purple-toast.c',
+	dependencies : [libpurple_dep],
+	name_prefix: '',
+	install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/notification-sound/meson.build b/libpurple/plugins/notification-sound/meson.build
--- a/libpurple/plugins/notification-sound/meson.build
+++ b/libpurple/plugins/notification-sound/meson.build
@@ -1,5 +1,3 @@
-if PLUGINS
-
 if target_machine.system() != 'windows'
 	CANBERRA = dependency('libcanberra', version: '>= 0.30')
 
@@ -9,5 +7,3 @@
 		install : true, install_dir : PURPLE_PLUGINDIR)
 endif
 
-endif
-
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -625,8 +625,6 @@
 	endif
 endif
 
-PLUGINS = get_option('plugins')
-
 #######################################################################
 # Check for Nettle (Crypto Library)
 #######################################################################
@@ -759,7 +757,6 @@
 }, section: 'Protocol Support', bool_yn: true, list_sep: ', ')
 
 summary({
-    'Build plugins': PLUGINS,
     'Internal credential provider (via Nettle)': nettle.found(),
     'KWallet credential provider': kwallet.found(),
     'Secret Service credential provider': secretservice.found(),
diff --git a/meson_options.txt b/meson_options.txt
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -31,9 +31,6 @@
 option('kwallet', type : 'feature',
        description : 'enable KWallet support')
 
-option('plugins', type : 'boolean', value : true,
-       description : 'compile plugins')
-
 option('secret-service', type : 'feature',
        description : 'enable Secret Service support')
 
diff --git a/pidgin/plugins/disco/meson.build b/pidgin/plugins/disco/meson.build
--- a/pidgin/plugins/disco/meson.build
+++ b/pidgin/plugins/disco/meson.build
@@ -5,15 +5,14 @@
 	'xmppdisco.h'
 ]
 
-if PLUGINS
-	xmppdisco_resource = gnome.compile_resources('xmppdiscoresources',
-	    'resources/xmppdisco.gresource.xml',
-	    source_dir : 'resources',
-	    c_name : 'xmppdisco')
-	xmppdisco_SOURCES += xmppdisco_resource
+xmppdisco_resource = gnome.compile_resources('xmppdiscoresources',
+    'resources/xmppdisco.gresource.xml',
+    source_dir : 'resources',
+    c_name : 'xmppdisco')
+xmppdisco_SOURCES += xmppdisco_resource
 
-	xmppdisco = library('xmppdisco', xmppdisco_SOURCES,
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
-endif
+xmppdisco = library('xmppdisco', xmppdisco_SOURCES,
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
diff --git a/pidgin/plugins/gestures/meson.build b/pidgin/plugins/gestures/meson.build
--- a/pidgin/plugins/gestures/meson.build
+++ b/pidgin/plugins/gestures/meson.build
@@ -6,9 +6,8 @@
 	'stroke-draw.c'
 ]
 
-if PLUGINS
-	gestures = library('gestures', gestures_SOURCES,
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
-endif
+gestures = library('gestures', gestures_SOURCES,
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
diff --git a/pidgin/plugins/meson.build b/pidgin/plugins/meson.build
--- a/pidgin/plugins/meson.build
+++ b/pidgin/plugins/meson.build
@@ -2,46 +2,44 @@
 subdir('gestures')
 subdir('xmppconsole')
 
-if PLUGINS
-	gtkbuddynote = library('gtkbuddynote', 'gtkbuddynote.c',
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
+gtkbuddynote = library('gtkbuddynote', 'gtkbuddynote.c',
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+iconaway = library('iconaway', 'iconaway.c',
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+notify = library('notify', 'notify.c',
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    build_by_default: false,
+    install : false, install_dir : PIDGIN_PLUGINDIR)
 
-	iconaway = library('iconaway', 'iconaway.c',
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
+relnot = library('relnot', 'relnot.c',
+    dependencies : [libpurple_dep, libpidgin_dep, libsoup, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
+spellchk = library('spellchk', 'spellchk.c',
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    build_by_default: false,
+    install : false, install_dir : PIDGIN_PLUGINDIR)
 
-	notify = library('notify', 'notify.c',
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    build_by_default: false,
-	    install : false, install_dir : PIDGIN_PLUGINDIR)
+if IS_WIN32
+	transparency = library('transparency', 'transparency.c',
+		dependencies : [libpurple_dep, libpidgin_dep, glib],
+		name_prefix : '',
+		install : true, install_dir : PIDGIN_PLUGINDIR)
+endif
 
-	relnot = library('relnot', 'relnot.c',
-	    dependencies : [libpurple_dep, libpidgin_dep, libsoup, glib],
+if enable_unity
+	unity = library('unity', 'unity.c',
+	    dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
 	    name_prefix : '',
 	    install : true, install_dir : PIDGIN_PLUGINDIR)
-
-	spellchk = library('spellchk', 'spellchk.c',
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    build_by_default: false,
-	    install : false, install_dir : PIDGIN_PLUGINDIR)
+endif
 
-	if IS_WIN32
-		transparency = library('transparency', 'transparency.c',
-			dependencies : [libpurple_dep, libpidgin_dep, glib],
-			name_prefix : '',
-			install : true, install_dir : PIDGIN_PLUGINDIR)
-	endif
-
-	if enable_unity
-		unity = library('unity', 'unity.c',
-		    dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
-		    name_prefix : '',
-		    install : true, install_dir : PIDGIN_PLUGINDIR)
-	endif
-
-endif # PLUGINS
diff --git a/pidgin/plugins/xmppconsole/meson.build b/pidgin/plugins/xmppconsole/meson.build
--- a/pidgin/plugins/xmppconsole/meson.build
+++ b/pidgin/plugins/xmppconsole/meson.build
@@ -1,11 +1,10 @@
-if PLUGINS
-	xmppconsole_resource = gnome.compile_resources('xmppconsoleresources',
-	    'xmppconsole.gresource.xml',
-	    c_name : 'xmppconsole')
+xmppconsole_resource = gnome.compile_resources('xmppconsoleresources',
+    'xmppconsole.gresource.xml',
+    c_name : 'xmppconsole')
 
-	library('xmppconsole',
-	    'xmppconsole.c', xmppconsole_resource,
-	    dependencies : [libpurple_dep, libpidgin_dep, glib],
-	    name_prefix : '',
-	    install : true, install_dir : PIDGIN_PLUGINDIR)
-endif # PLUGINS
+library('xmppconsole',
+    'xmppconsole.c', xmppconsole_resource,
+    dependencies : [libpurple_dep, libpidgin_dep, glib],
+    name_prefix : '',
+    install : true, install_dir : PIDGIN_PLUGINDIR)
+
